Subject: [i2rs] Delays in response from I2rs Chair

From: "Susan Hares" <[email-masked]>
Date: Wed, 28 Aug 2019 11:58:27 -0400

Greetings 

One of my day jobs is being a professor and this is the first week of class.

The week before classes start and the first week of classes is a busy time 

for professors.    Due to this my reporting of the i2rs status has been
delayed.  

I hope complete my open action items/responses/reviews  by Thursday noon.   

Cheerily, Sue